<?php
/*
 * description：
 * author：wh
 * email：
 * createTime：{2024/6/13} {11:33} 
 */

namespace app\api\controller;


use app\common\model\TabConf;
use think\Db;
use wanghua\general_utility_tools_php\Mmodel;
use wanghua\general_utility_tools_php\tool\Tools;

class Useremail extends BaseHttpApi
{

    /**
     * 查询当前登陆人收到的邮件（好友触发了某个操作，同时向你发送了消息，并非真实邮件）
     * 默认查询未读消息
     * 参数：无
     */
    function getMyEmailMessage(){
        return Mmodel::catchJson(function (){
            $info = Db::table(TabConf::$fa_user_email)
                ->where('addressee_openid',api_user_openid())
                ->where('status','0')//查询未读
                ->select();
            return Tools::set_ok($info);
        });
    }

    /**
     * 用户邮件-设置已读
     * 参数：dataid 邮件的数据id
     */
    function read(){
        return Mmodel::catchJson(function (){
            $id = input('dataid');
            if(!$id){
                return Tools::set_fail('参数错误');
            }
            Db::table(TabConf::$fa_user_email)
                ->where('id',$id)
                ->where('addressee_openid',api_user_openid())
                ->update(['status'=>'1']);
            return Tools::set_ok();
        });
    }
}